package cn.aagro.ag.module.pay.convert.wallet;

import cn.aagro.ag.framework.common.pojo.PageResult;
import cn.aagro.ag.module.pay.controller.admin.wallet.vo.wallet.PayWalletRespVO;
import cn.aagro.ag.module.pay.controller.app.wallet.vo.wallet.AppPayWalletRespVO;
import cn.aagro.ag.module.pay.dal.dataobject.wallet.PayWalletDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

@Mapper
public interface PayWalletConvert {

    PayWalletConvert INSTANCE = Mappers.getMapper(PayWalletConvert.class);

    AppPayWalletRespVO convert(PayWalletDO bean);

    PayWalletRespVO convert02(PayWalletDO bean);

    PageResult<PayWalletRespVO> convertPage(PageResult<PayWalletDO> page);

}
